hilfdirselbst.ch
Facebook Twitter gamper-media
Mac OS X enthält verschiedene integrierte Werkzeuge und Technologien, mit denen sich gängige Aufgaben schnell und einfach automatisieren lassen.
Anonym
Beiträge: 22827
24. Mär 2004, 08:59
Beitrag #1 von 3
Bewertung:
(530 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

QXP-Docs konvertieren


hallo,

ist es möglich über ein applescript ein qxp 3.32 doc in ein 5.01 zu konvertieren.

wir wollen eine kat von 3.32 in 5.01 konvertieren.

vorgehensweise:

1. 3.32 doc mit "alt" taste öffen und als qxp 5.01 speichern
2. neu abgespeicherte qxp 5.01 doc mit "apfel" taste ncohmals öffen und speichern.

bei ca. 400 DS ist das schon etwas aufwendig!

vielleicht hat jemand eine idee!

gruß
chris Top
 
X
Hans Haesler  M  p
Beiträge: 5432
24. Mär 2004, 09:35
Beitrag #2 von 3
Beitrag ID: #418714
Bewertung:
(529 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

QXP-Docs konvertieren


Hallo Chris,

Du hast Glück, denn seit QuarkXPress 4.1 ist es möglich, das Upgraden von Dokumenten per Script durchzuführen. Dies geschieht beim Öffnen, indem der Befehlszeile die Worte 'with reflow' angehängt werden. Beim Sichern muss der Zusatz 'as document version vers 50' verwendet werden. Dies alles entspricht dem von Dir beschriebenen manuellen Öffnen mit der Options-Taste.
---
tell application "QuarkXPress 5.01"
  open filePath as alias use doc prefs yes remap fonts no do auto picture import no with reflow
  save document 1 as document version vers 50
---
Es wird zwar empfohlen – wenn überhaupt –, das Upgraden stufenweise vorzunehmen: von 3.32 auf 4.04 auf 4.11 auf 5.01...

Damit diese Arbeit bei einer grossen Anzahl von Dokumenten einigermassen komfortabel gemacht werden kann, sollte ein Droplet eingesetzt werden. Ich werde Dir eines zustellen.

Hans Haesler <hsa@ringier.ch>
als Antwort auf: [#418713] Top
 
Hans Haesler  M  p
Beiträge: 5432
24. Mär 2004, 11:49
Beitrag #3 von 3
Beitrag ID: #418715
Bewertung:
(529 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

QXP-Docs konvertieren


Hallo Christian,

Du hast Pech (wie Du selbst herausgefunden hast), denn mit QuarkXPress 5.01 funktioniert das Upgraden per Script nicht.

Ich hatte in meinem QXP-4.11-Droplet nur das "Sichern als..." auf Version 5 geändert. Aber aus Zeitmangel (ich sollte eigentlich drei andere Dinge tun) nicht das Resultat angeschaut.

Du musst also das Droplet, welches ich Dir gesandt habe, wegschmeissen und das Konvertieren manuell vornehmen. Entschuldige bitte, dass ich falsche Versprechungen gemacht habe.

Kleiner Trost für QuarkXPress-6.1-Benutzer: das Upgraden per Script funktioniert wieder. Aber in den Beta-Versionen war dies noch nicht der Fall. Und ich hatte grosse Mühe, dies dem indischen Entwickler beizubringen &#133;

Hans Haesler <hsa@ringier.ch>
als Antwort auf: [#418713] Top